{--------------------------------------------------------------------}
{ RndText V 1.1                                                      }
{ Written by Martin Waldenburg 1997.                                 }
{ Placed to the Public Domain.                                       }
{ Not testet with Delphi1.                                           }
{ It's provided as is, without a warranty of any kind.               }
{ You use it at your own risc.                                       }
{ You may use and distribute it freely.                              }
{--------------------------------------------------------------------}

unit RndUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
    TDemoData = record
                  Data1: String[50];
                  Data2: String[210];
                  Data3: String[237];
                end;
  TForm1 = class(TForm)
    btnStart: TButton;
    btnExit: TButton;
    edtNumberOfItems: TEdit;
    SaveDialog1: TSaveDialog;
    lblNumberOf: TLabel;
    procedure btnStartClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
    function RndString(Len: Integer):String;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.RndString(Len: Integer):String;
var
  J: integer;
  aChar: Char;
  CharArray: array[0..255] of Char;
begin
  for J := 0 to Len -1 do
    begin
      repeat
      aChar := Chr(random(58) + Ord('A'));
      until aChar in ['A'..'Z', 'a'..'z'];
      CharArray[J]:= aChar;
    end;
    CharArray[Len]:= #0;
    Result:= CharArray;
end;


procedure TForm1.btnStartClick(Sender: TObject);
var
  I, RecLen : integer;
  ToFile: File of TDemoData;
  MaxElems: Integer;
  DemoData: TDemoData;
begin
  If SaveDialog1.Execute then
  begin
    RecLen:= SizeOf(TDemoData);
    AssignFile(ToFile, SaveDialog1.FileName);
    ReWrite(ToFile);
    MaxElems:= StrToInt(edtNumberOfItems.Text);
    Randomize;
    for I := 1 to MaxElems do
    begin
      with DemoData do
      begin
        Data1:= RndString(50);
        Data2:= RndString(210);
        Data3:= RndString(237);
        Data3[236]:= #13;
        Data3[237]:= #10;
      end;
      Write(ToFile, DemoData);
     end;
    CloseFile(ToFile);
    end;
end;

procedure TForm1.btnExitClick(Sender: TObject);
begin
  close;
end;

end.
